VOS_OFFLINE(1)

NAME
vos_offline - Takes a volume offline

SYNOPSIS
vos offline << -server <machine name >>> << -partition <partition name >>>
    << -id <volume name or ID >>> << [-unbless] >> << [-cell <cell name] >>>
    << [-noauth] | -localauth] >> << [-verbose] >> << [-encrypt] >> << [-help] >>

DESCRIPTION
The vos offline command takes a volume offline on the fileserver.

CAUTIONS
Taking a volume offline that has existing callbacks will result in those callbacks being broken and clients not being able to access the volume.

OPTIONS

-server <machine name>
    Identifies the file server machine where the volume resides. Provide the machine's IP address or its host name (either fully qualified or using an unambiguous abbreviation). For details, see the vos(1) manpage.

-partition <partition name>
    Identifies the partition where the volume resides, on the file server machine named by the -server argument. Provide the partition's complete name with preceding slash (for example, /vicepa) or use one of the three acceptable abbreviated forms. For details, see the vos(1) manpage.

-id <volume name or ID>
    Specifies either the complete name or volume ID number of the volume.

-unbless
    If the volume resides on a fileserver running as a dafs (Demand Attach File Server), then the volume may be marked as blessed or unblessed. A dafs server will not bring unblessed volumes online unless the -bless option to the vos_online manpage is specified. See the vos_online(1) manpage for setting a volume to be blessed.

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see the vos(1) manpage.

-noauth
    Assigns the unprivileged identity anonymous to the issuer. Do not combine this flag with the -localauth flag. For more details, see the vos(1) manpage.

-localauth
    Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The vos command interpreter presents it to the Volume Server and Volume Location Server during mutual authentication. Do not combine this flag with the -cell argument or -noauth flag. For more details, see the vos(1) manpage.

-verbose
    Produces on the standard output stream a detailed trace of the command's execution. If this argument is omitted, only warnings and error messages appear.

-encrypt
    Encrypts the command so that the operation's results are not transmitted across the network in clear text.

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following example takes an online volume offline:

   % vos offline -server sv7.stateu.edu -partition /vicepb -id root.afs
The following example takes an online volume offline and marks it so that a vos online without -bless will not bring it online:

   % vos offline -server sv7.stateu.edu -partition /vicepb -id root.afs \
        -unbless

PRIVILEGE REQUIRED
The issuer must be listed in the /usr/afs/etc/UserList file on the machine specified with the -server argument and on each database server machine. If the -localauth flag is included, the issuer must instead be logged on to a server machine as the local superuser root.

SEE ALSO
the vos(1) manpage, the vos_online(1) manpage, the bos_salvage(8) manpage,

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This man page was created by Steven Jenkins.